#!/bin/sh

set -e
set -x

#dst=femu:nixos/
dst=fpgalogin1:nixos/

if [ "$1" != "" ]; then
  dst="$1"
fi

rsync -a fpga/fpgactl "$dst"
#rsync -a fpga/boot.sh "$dst"
rsync -a fpga/env.sh "$dst"
rsync $(find "$OPENSBI" -name fw_payload.bin) "$dst/opensbi.bin"
rsync "$KERNEL/Image" "$dst/kernel.bin"
rsync "$INITRD/initrd" "$dst/initrd.bin"
if [ -n "$ROOTFS" ]; then
  rsync "$ROOTFS/sd-image/rootfs.img" "$dst/rootfs.img"
else
  echo "Skipping rootfs"
fi
rsync "$BITSTREAM" "$dst/bitstream.bit"
rsync "$BOOTROM" "$dst/bootrom.bin"
rsync "$UBOOT_ENV" "$dst/uboot.env"

echo "Now go to $dst and run ./boot.sh"
